package com.midimind.core;

import java.io.File;
import java.io.IOException;
import java.io.PrintStream;

import com.midimind.core.hardware.Device;
import com.midimind.core.hardware.DeviceAutodetector;
import com.midimind.core.hardware.DeviceAutodetectorListener;
import com.midimind.core.hardware.DeviceException;

public class Test implements DeviceAutodetectorListener {

	public static void main(String[] args) throws IOException {
		File temp = File.createTempFile("ftdierrlog", ".tmp");
		temp.deleteOnExit();
    
		long timeout = 0;
		try {
			timeout = new Long(args[0]);
		} catch (Exception e) {
			timeout = 10000;
		}
		
		DeviceAutodetector detector = new DeviceAutodetector(timeout);
		detector.addDeviceAutodetectorListener(new Test());
		
		detector.start();

		System.out.println("Plug in the device...");
		System.setErr(new PrintStream(temp));
	}

	@Override
	public void deviceDetected(Device device) {
		System.out.print("Device FOUND: ");
		System.out.println(device);
	}

	@Override
	public void deviceDetectionFailed(DeviceException exception) {
		System.out.print("An error occurred during scanning.");
		exception.printStackTrace();
	}

	@Override
	public void timeout() {
		System.out.print("Device NOT FOUND, timeout occurred.");
	}

}
