package com.midimind.core.hardware.command;

public class ReadPageCommand extends PayloadCommand {

	private static final byte READ_PAGE_COMMAND = 11;
	
	public ReadPageCommand(int page) {
		this(page, 64);
	}
	
	public ReadPageCommand(int page, int size) {
		page = page % 1000;
		size = Math.min(size, 64);
		byte[] payload = new byte[3];
		payload[0] = (byte)((page & 0xFF00) >> 8);
		payload[1] = (byte)(page & 0x00FF);
		payload[2] = (byte)(size);
		
		super.setPayload(payload);
	}
	
	@Override
	public byte getHeader() {
		return READ_PAGE_COMMAND;
	}

	@Override
	public boolean hasResponse() {
		return true;
	}

}
