package com.midimind.core.hardware.command;

public class WritePageCommand extends PayloadCommand {

	private static final byte WRITE_PAGE_COMMAND = 12;
	
	@Override
	public byte getHeader() {
		return WRITE_PAGE_COMMAND;
	}

	public WritePageCommand(int pageindex, byte[] page) {
		pageindex = pageindex % 1000;
		int len = Math.min(page.length, 64);
		
		byte[] payload = new byte[len + 3];
		for(int i = 0; i < len; i++)
			payload[i + 3] = page[i];
		
		payload[0] = (byte)((pageindex & 0xFF00) >> 8);
		payload[1] = (byte)(pageindex & 0x00FF);
		payload[2] = (byte)(len);
		
		super.setPayload(payload);
	}
}
