package com.midimind.core.hardware.ftdi;

import java.io.FileInputStream;
import java.util.Properties;

import com.midimind.core.hardware.DeviceState;

public class FTDIError {

	private static final String MAP_FILE = "ftdierror.conf";
	private static Properties map = null;
	
	static {
		map = new Properties();
		try {
			map.load(new FileInputStream(MAP_FILE));
		} catch (Exception e) {
			map = null;
		}
	}
	
	public static DeviceState getDeviceState(Exception e) {
		if (map == null)
			return DeviceState.UNKNOWN_ERROR;
		else {
			String message = e.getMessage();
			DeviceState state = DeviceState.UNEXPECTED_ERROR;
			
			if (message == null)
				return state;
			else {
				String strState = map.getProperty(message.replace(' ', '_'));

				if (strState == null)
					return state;
				else
					return DeviceState.valueOf(strState);
			}
		}
	}
}
